# Generated from tree_diff-1.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tree_diff

Name: rubygem-%{gem_name}
Version: 1.1.3
Release: 1%{?dist}
Summary: Observe attribute changes in big complex object trees, like a generic & standalone ActiveModel::Dirty
License: MIT
URL: https://gitlab.com/mcnelson/tree_diff
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.1
# BuildRequires: rubygem(minitest) >= 5.11
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(m) >= 1.5
# BuildRequires: rubygem(m) < 2
# BuildRequires: rubygem(sqlite3) >= 1.4
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(activerecord) >= 5.2
# BuildRequires: rubygem(activerecord) < 6
BuildArch: noarch

%description
Given a tree of relationships in a similar format to strong params, analyzes
attribute changes by call chain. Call just before and after you make a change.
Completely ORM and framework agnostic.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/tree_diff.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.1.3-1
- Initial package
